# File System

<table data-full-width="true"><thead><tr><th>Artifacts</th><th>File</th><th>Type</th><th>Tool</th><th>Description</th></tr></thead><tbody><tr><td>Hibernation</td><td>%SystemRoot%\hiberfil.sys</td><td>Memory</td><td>Volatility</td><td>Hibernation is a power-saving mode in which the contents of the computer's memory (RAM) are saved to the hard drive before the computer is powered off. This allows the computer to resume its previous state quickly when powered back on. The hiberfil.sys file is where the hibernation data is stored.</td></tr><tr><td>Page</td><td>%SystemDrive%\pagefile.sys</td><td>Memory</td><td>Volatility</td><td>Hidden system file found on Windows operating systems. It is used for virtual memory management, allowing the operating system to use a portion of the hard drive as additional memory when the physical RAM becomes insufficient.</td></tr><tr><td>Swap</td><td>%SystemDrive%\swapfile.sys</td><td>Memory</td><td>Volatility</td><td>Like the pagefile.sys file, the swapfile.sys file is used as virtual memory when physical memory (RAM) becomes insufficient to handle running processes and data. When this occurs, less frequently used or idle data is moved from RAM to the swapfile.sys file, freeing up RAM for more active processes. When the data in the swapfile.sys file is needed again, it is moved back into RAM.<br><br>The swapfile.sys file is different from the pagefile.sys file in a few ways. First, the swapfile.sys file is created and managed differently than the pagefile.sys file. The swapfile.sys file is created automatically when the operating system is installed and is managed by the Windows Memory Manager. Second, the swapfile.sys file is used exclusively for memory compression, while the pagefile.sys file is used for both virtual memory and crash dump files.</td></tr><tr><td>Registry</td><td>%SystemRoot%\System32\config\</td><td>Registry</td><td>RegExplorer</td><td></td></tr><tr><td>Event Log</td><td>%SystemRoot%\System32\winevt\Logs\</td><td>Event Log</td><td>Event Log Explorer</td><td></td></tr><tr><td>Amcache</td><td>C:\Windows\AppCompat\Programs\Amcache.hve</td><td>Execution</td><td>AmcacheParser</td><td>The Application Compatibility Cache is a feature in Windows that keeps track of applications and their compatibility status. It helps Windows determine how to handle and execute applications to ensure compatibility with the operating system</td></tr><tr><td>JumpList</td><td>%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Recent\AutomaticDestinations</td><td>Execution</td><td>JumpList Explorer</td><td>Windows Jump Lists allow user access to frequently or recently used<br>items quickly via the task bar</td></tr><tr><td></td><td>• %USERPROFILE%\AppData\Roaming\Microsoft\Windows\Recent\CustomDestinations</td><td>Execution</td><td>JumpList Explorer</td><td>Windows Jump Lists allow user access to frequently or recently used<br>items quickly via the task bar</td></tr><tr><td>Prefetch</td><td>C:\Windows\Prefetch</td><td>Execution</td><td></td><td>Windows Prefetch is a feature in the Windows operating system designed to improve the startup performance of applications. It works by preloading frequently used files and data into memory, reducing the time required to launch applications.<br><br>Naming format: (exename)-(hash).pf</td></tr><tr><td>SRUM</td><td>C:\Windows\System32\SRU\SRUDB.dat</td><td>Execution</td><td>SrumECmd, srum-dump</td><td>Maintains historical data about resource usage on a system. It provides insights into how system resources, such as network, application usage, and energy consumption, are utilized over time.</td></tr><tr><td>Windows 10 Timeline</td><td>C:\Users\&#x3C;profi le>\AppData\Local\ConnectedDevicesPlatform\&#x3C;account-ID>\ActivitiesCache.db</td><td>Execution</td><td>WxTCmd</td><td>The Connected Devices Platform is a Windows feature that enables seamless integration and synchronization of activities across multiple devices, allowing users to continue their tasks seamlessly on different devices. This includes features like Timeline, which provides a chronological view of a user's activities across different applications and devices.<br><br>The ActivitiesCache.db file stores information about the user's activities, such as launched applications, opened files, visited websites, and other interactions. It helps maintain a record of the user's activity history for synchronization and reference purposes</td></tr><tr><td>Shortcut (LNK) Files</td><td>%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Recent\</td><td>File/Folder Opening</td><td>LECmd</td><td>Shortcuts to recently accessed files and folders by the current user. It is often referred to as the "Recent Items" folder or "Recent" folder</td></tr><tr><td>Shortcut (LNK) Files</td><td>%USERPROFILE%\AppData\Roaming\Microsoft\Offi ce\Recent\</td><td>File/Folder Opening</td><td>LECmd</td><td>Shortcuts to recently accessed Office documents by the current user</td></tr><tr><td>MFT</td><td>%SystemDrive%\$MFT</td><td>File Listing</td><td>MFTECmd, MFTExplorer</td><td>Contains a wealth of information about files and directories on an NTFS volume, which can be crucial for reconstructing the file system, tracking file activity, and identifying evidence related to user actions.</td></tr><tr><td>Internet Explorer file:///</td><td>%USERPROFILE%\AppData\Local\Microsoft\Windows\WebCache\WebCacheV*.dat</td><td>File/Folder Opening</td><td>ESEDatabaseViewer</td><td>Internet Explorer History databases have long held information on local<br>and remote fi le access (via network shares),</td></tr><tr><td>Firefox History</td><td>%USERPROFILE%\AppData\Roaming\Mozilla\Firefox\Profiles\&#x3C;random text>.default\<br>places.sqlite</td><td>Browser</td><td>hindsight</td><td>History and Download History records websites visited by date and time</td></tr><tr><td>Chrome History</td><td>%USERPROFILE%\AppData\Local\Google\Chrome\User Data\&#x3C;Profile>\History</td><td>Browser</td><td>hindsight</td><td>History and Download History records websites visited by date and time</td></tr><tr><td>Edge History</td><td>%USERPROFILE%\AppData\Local\Microsoft\Edge\User Data\&#x3C;Profile>\History</td><td>Browser</td><td>hindsight</td><td>History and Download History records websites visited by date and time</td></tr><tr><td>Chrome Media History </td><td>%USERPROFILE%\AppData\Local\Google\Chrome\User Data\&#x3C;Profile>\Media History</td><td>Browser</td><td>hindsight</td><td>Media History tracks media usage (audio and video played) on visited websites (Chromium browsers).</td></tr><tr><td>Edge Media History </td><td>%USERPROFILE%\AppData\Local\Microsoft\Edge\User Data\&#x3C;Profile>\Media History</td><td>Browser</td><td>hindsight</td><td>Media History tracks media usage (audio and video played) on visited websites (Chromium browsers).</td></tr><tr><td>Chrome Auto-Complete Data - Web Forms</td><td>%USERPROFILE%\AppData\Local\Google\Chrome\User Data\\Web Data</td><td>Browser</td><td>hindsight</td><td>Items typed into web forms</td></tr><tr><td>Edge Auto-Complete Data - Web Forms</td><td>%USERPROFILE%\AppData\Local\Microsoft\Edge\User Data\\Web Data</td><td>Browser</td><td>hindsight</td><td>Items typed into web forms</td></tr><tr><td>Chrome Auto-Complete Data - User credentials</td><td>%USERPROFILE%\AppData\Local\Google\Chrome\User Data\\Login Data</td><td>Browser</td><td>hindsight</td><td>Stores inputted user credentials</td></tr><tr><td>Edge Auto-Complete Data - User credentials</td><td>%USERPROFILE%\AppData\Local\Microsoft\Edge\User Data\\Login Data</td><td>Browser</td><td>hindsight</td><td>Stores inputted user credentials</td></tr><tr><td>Firefox Web Cache</td><td>%USERPROFILE%\AppData\Local\Mozilla\Firefox\Profiles\.default\cache2</td><td>Browser</td><td>hindsight</td><td>The cache is where web page components can be stored locally to speed<br>up subsequent visits.</td></tr><tr><td>Chrome Web Cache</td><td>%USERPROFILE%\AppData\Local\Google\Chrome\User Data\\Cache\ - data_# and f_######</td><td>Browser</td><td>hindsight</td><td>The cache is where web page components can be stored locally to speed<br>up subsequent visits.</td></tr><tr><td>Edge Web Cache</td><td>%USERPROFILE%\AppData\Local\Microsoft\Edge\User Data\\Cache\ - data_# and f_######</td><td>Browser</td><td>hindsight</td><td>The cache is where web page components can be stored locally to speed<br>up subsequent visits.</td></tr><tr><td>Firefox Cookies</td><td>%USERPROFILE%\AppData\Roaming\Mozilla\Firefox\Profiles\.default\ cookies.sqlite</td><td>Browser</td><td>hindsight</td><td>Cookies provide insight into what websites have been visited and what<br>activities might have taken place there.</td></tr><tr><td>Chrome Cookies</td><td>%USERPROFILE%\AppData\Local\Google\Chrome\User Data\&#x3C;Profile>\Network\Cookies</td><td>Browser</td><td>hindsight</td><td>Cookies provide insight into what websites have been visited and what<br>activities might have taken place there.</td></tr><tr><td>Edge Cookies</td><td>%USERPROFILE%\AppData\Local\Microsoft\Edge\User Data\&#x3C;Profile>\Network\Cookies</td><td>Browser</td><td>hindsight</td><td>Cookies provide insight into what websites have been visited and what<br>activities might have taken place there.</td></tr><tr><td>Firefox Browser Downloads </td><td>%USERPROFILE%\AppData\Roaming\Mozilla\Firefox\Profiles\.default\places.sqlite<br>- moz_annos table</td><td>Browser</td><td>hindsight</td><td>Modern browsers include built-in download manager applications capable of keeping a history of every file downloaded by the user. This browser artifact can provide excellent information about websites visited and corresponding items downloaded.</td></tr><tr><td>Chrome Browser Downloads </td><td>%USERPROFILE%\AppData\Local\Google\Chrome\User Data\\History<br>- downloads and download_url_chains tables</td><td>Browser</td><td>hindsight</td><td>Modern browsers include built-in download manager applications capable of keeping a history of every file downloaded by the user. This browser artifact can provide excellent information about websites visited and corresponding items downloaded.</td></tr><tr><td>Edge Browser Downloads </td><td>%USERPROFILE%\AppData\Local\Microsoft\Edge\User Data\\History<br>- downloads and download_url_chains tables</td><td>Browser</td><td>hindsight</td><td>Modern browsers include built-in download manager applications capable of keeping a history of every file downloaded by the user. This browser artifact can provide excellent information about websites visited and corresponding items downloaded.</td></tr><tr><td>Firefox Bookmarks</td><td>%USERPROFILE%\AppData\Roaming\Mozilla\Firefox\Profiles\&#x3C;randomtext>.default\places.sqlite<br>%USERPROFILE%\AppData\Roaming\Mozilla\Firefox\Profiles\&#x3C;randomtext>.default\<br>bookmarkbackups\bookmarks-&#x3C;date>.jsonlz4</td><td>Browser</td><td>hindsight</td><td>Bookmarks include default items, as well as those the user chose to save for future reference.</td></tr><tr><td>Chrome Bookmarks</td><td>%USERPROFILE%\AppData\Local\Google\Chrome\User Data\&#x3C;Profile>\Bookmarks<br>%USERPROFILE%\AppData\Local\Google\Chrome\User Data\&#x3C;Profile>\Bookmarks.bak</td><td>Browser</td><td>hindsight</td><td>Bookmarks include default items, as well as those the user chose to save for future reference.</td></tr><tr><td>Edge Bookmarks</td><td>%USERPROFILE%\AppData\Local\Microsoft\Edge\User Data\&#x3C;Profile>\Bookmarks<br>%USERPROFILE%\AppData\Local\Microsoft\Edge\User Data\&#x3C;Profile>\Bookmarks.msbak</td><td>Browser</td><td>hindsight</td><td>Bookmarks include default items, as well as those the user chose to save for future reference.</td></tr><tr><td>Firefox Extensions</td><td>%USERPROFILE%\AppData\Roaming\Mozilla\Firefox\Profiles\.default\addons.json<br>%USERPROFILE%\AppData\Roaming\Mozilla\Firefox\Profiles\.default\extensions.json</td><td>Browser</td><td>hindsight</td><td>Browser functionality can be extended through the use of extensions, or<br>browser plugins.</td></tr><tr><td>Chrome Extensions</td><td>%USERPROFILE%\AppData\Local\Google\Chrome\User Data\\Extensions\\</td><td>Browser</td><td>hindsight</td><td>Browser functionality can be extended through the use of extensions, or<br>browser plugins.</td></tr><tr><td>Edge Extensions</td><td>%USERPROFILE%\AppData\Local\Microsoft\Edge\User Data\\Extensions\\</td><td>Browser</td><td>hindsight</td><td>Browser functionality can be extended through the use of extensions, or<br>browser plugins.</td></tr></tbody></table>

Ref.

* [https://www.sans.org/posters/windows-forensic-analysis/](https://www.sans.org/posters/windows-forensic-analysis/)
